# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetInvalidComponentArray

Function

Returns an Array containing the information stored in an invalid-component handle.

Syntax
`
#include <dx/dx.h>
`

Array DXGetInvalidComponentArray(InvalidComponentHandle handle)

Functional Details

The returned Array may be dependent or referential (see Chapter 14. "Data Processing"). If `handle` was created using a Field, then the Array will contain the appropriate "dep" or "ref" attributes. However, if `handle` was created using only an Array, then this routine cannot determine whether the returned Array is dependent or it references "positions" or "connections," and it is up to the calling program to set the appropriate attribute. The determination of should be based on the type of the Array; if it is `TYPE_UBYTE` or `TYPE_BYTE`, it is dependent; if it is `TYPE_UINT` or `TYPE_INT`, it is referential.

Return Value

Returns the Array or returns `NULL` and sets an error code.

See Also

`DXCreateInvalidComponentHandle, DXFreeInvalidComponentHandle, DXGetType`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]